name: Scheduled post to Bluesky
on:
  workflow_dispatch:
  schedule:
    - cron: '0 */2 * * *'
jobs:
  Feed2SocialMedia:
    runs-on: ubuntu-latest
    steps:
      - name: Feed to social media
        uses: lwojcik/github-action-feed-to-social-media@v2
        with:
          feedUrl: 'https://feedpress.me/coryd'
          newestItemStrategy: 'latestDate'
          postFormat: "📝: {title} {link}"
          # Bluesky settings
          blueskyEnable: true
          blueskyPostFormat: "📝: {title} {link}"
          blueskyHandle: 'cdransf.bsky.social'
          blueskyAppPassword: ${{ secrets.BLUESKY_TOKEN }}
          blueskyOwnerHandle: 'cdransf.bsky.social'
          blueskyOwnerContact: 'coryd@hey.com'